#define _WIN32_WINNT 0x0500

#include <windows.h>
#include <stdio.h>

void Usage()
 {
  fprintf(stderr,"Usage: CreateHardLink existingfile newfile\n");
  exit(1);
 }

int main(argc, argv)
 int argc;
 char **argv;
 {
  BOOL ret;

  if (argc!=3)
   Usage();

  ret=CreateHardLink(argv[2], argv[1], NULL);
  if (ret==0) {
   LPVOID lpMsgBuf;

   if (FormatMessage( 
    FORMAT_MESSAGE_ALLOCATE_BUFFER | 
    FORMAT_MESSAGE_FROM_SYSTEM | 
    FORMAT_MESSAGE_IGNORE_INSERTS,
    NULL,
    GetLastError(),
    MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), // Default language
    (LPTSTR) &lpMsgBuf,
    0,
    NULL )) {
     fprintf(stderr,"%s\n", lpMsgBuf);
   }
   exit(2);
  }

  return(0);
 }